curl --request GET \
--url https://api.letsdothis.com/v0/line-items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/line-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"addonCategory": null,
"addonName": null,
"addonVariantName": null,
"amount": 6500,
"attributedLineItemId": null,
"attributedLineItemType": null,
"bookerEmailAddress": "john@invalid.test",
"bookerName": "John Runner",
"bookingId": "66b1c2d3e4f5061728394a5b",
"bookingType": "ENTRY",
"currencyCode": "USD",
"eventId": "66a1b2c3d4e5f60718293a4b",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventOccurrenceTitle": "City River Run",
"financialEntryId": "66c2d3e4f5061728394a5b6c",
"id": "66c1d2e3f40516273849a5b6",
"incrementalStatus": "INCREMENTAL",
"isRefund": false,
"ldtAmount": 500,
"lineItemName": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"lineItemType": "TICKET",
"organizerAmount": 6000,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"paymentCompletedAt": "2026-05-12T16:45:03.000Z",
"paymentId": "pi_test_cityriver_1042",
"paymentReference": "payref_demo_1042",
"paymentRefundId": null,
"paymentStatus": "FUNDS_COMPLETE",
"payoutId": "po_test_cityriver_1042",
"quantity": 1,
"raceTitle": "10K",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"startlistEntryId": "66b2c3d4e5f60718293a4b5c",
"thirdPartyAmount": 0,
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"ticketSlug": "city-river-run-10k",
"ticketTitle": "10K General Entry",
"transactionAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:03.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}List line items
Returns all line items that you have access to.
curl --request GET \
--url https://api.letsdothis.com/v0/line-items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/line-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"addonCategory": null,
"addonName": null,
"addonVariantName": null,
"amount": 6500,
"attributedLineItemId": null,
"attributedLineItemType": null,
"bookerEmailAddress": "john@invalid.test",
"bookerName": "John Runner",
"bookingId": "66b1c2d3e4f5061728394a5b",
"bookingType": "ENTRY",
"currencyCode": "USD",
"eventId": "66a1b2c3d4e5f60718293a4b",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventOccurrenceTitle": "City River Run",
"financialEntryId": "66c2d3e4f5061728394a5b6c",
"id": "66c1d2e3f40516273849a5b6",
"incrementalStatus": "INCREMENTAL",
"isRefund": false,
"ldtAmount": 500,
"lineItemName": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"lineItemType": "TICKET",
"organizerAmount": 6000,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"paymentCompletedAt": "2026-05-12T16:45:03.000Z",
"paymentId": "pi_test_cityriver_1042",
"paymentReference": "payref_demo_1042",
"paymentRefundId": null,
"paymentStatus": "FUNDS_COMPLETE",
"payoutId": "po_test_cityriver_1042",
"quantity": 1,
"raceTitle": "10K",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"startlistEntryId": "66b2c3d4e5f60718293a4b5c",
"thirdPartyAmount": 0,
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"ticketSlug": "city-river-run-10k",
"ticketTitle": "10K General Entry",
"transactionAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:03.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of entries to return per page. Range between 1 - 500, defaults to 100
1 <= x <= 500100
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Sort by update date. 1 for ascending, -1 for descending.
1, -1, null "1"
Sort by creation date. 1 for ascending, -1 for descending.
1, -1, null "1"
Only return entries created after this date.
"2020-01-01T20:15:00.000Z"
Only return entries created before this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated after this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated before this date.
"2020-01-01T20:15:00.000Z"
Data source. When set to "mongodb", reads from the MongoDB collection.
mongodb, null Response
Default Response
When requesting a list of LineItems, the response will be paginated. The data field will contain an array of LineItem objects, and the page field will contain a PageCursor object detailing the current page and cursors to navigate to earlier or later pages.
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

